Summary:    A GTK+ administation tool for the Squid proxy server
Name:       gadmin-squid
Version:    0.1.2
Release:    0.1%{?dist}
License:    GPLv3+
Group:      Applications/System
URL:        http://mange.dynalias.org/linux.html
Source0:    http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
# Mailed these to upstream 20091122
Patch1:     %{name}-%{version}-Makefile.am.patch
Patch2:     %{name}-%{version}-desktop-icon.patch
Patch3:     %{name}-%{version}-po-Makefile.in.in.patch
Patch4:     %{name}-%{version}-configure.in.patch
Patch5:     %{name}-%{version}-src-standard.c.patch
Patch6:     %{name}-%{version}-src-create_server_tab.c.patch
Patch7:     %{name}-%{version}-src-create_acl_tab.c.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:   usermode >= 1.36
Requires:   squid >= 2.6
Requires:   samba, samba-winbind
Requires:   pam
Requires:   openssl

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: glib-devel
BuildRequires: gtk2-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: samba-winbind-devel
BuildRequires: pam-devel
BuildRequires: openssl-devel

%description
A fast and easy to use GTK+ administration tool for the Squid proxy server.
Most options found in squid and advanced ACL-building.
Delay pools and logformats are discarded for now but are planned.
Some options may not be compiled into your squid so you'll have to delete those
in the configuration tab if you get any errors.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%GNUconfigure "--docdir=%{_docdir}/%{name}-%{version}" "--disable-option-checking" "--enable-poll" "--enable-snmp" "--enable-removal-policies=heap,lru" "--enable-storeio=aufs,coss,diskd,null,ufs" "--enable-ssl" "--with-openssl=/usr/kerberos" "--enable-delay-pools" "--enable-useragent-log" "--enable-referer-log" "--disable-dependency-tracking" "--enable-cachemgr-hostname=localhost" "--enable-underscores" "--enable-cache-digests" "--enable-ident-lookups" "--with-large-files" "--enable-fd-config" "--enable-follow-x-forwarded-for" "--enable-linux-netfilter" "--with-pthreads" "--enable-auth=basic,digest,ntlm" "--enable-external-acl-helpers=ip_user,ldap_group,unix_group,wbinfo_group,winbind_group" "--enable-digest-auth-helpers=password" "--with-winbind-auth-challenge" "--enable-ntlm-auth-helpers=SMB,winbind,fakeauth" "--enable-basic-auth-helpers=LDAP,MSNT,NCSA,PAM,SMB,YP,getpwnam,multi-domain-NTLM,SASL,winbind"

%build
%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}
CFLAGS=$RPM_OPT_FLAGS %{__make} DESTDIR=%{buildroot} install 

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor fedora \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Red-Hat-Base \
  --add-category X-Red-Hat-ServerConfig \
  desktop/net-%{name}.desktop

mkdir -p %{buildroot}%{_bindir}
if test ! -h %{buildroot}%{_bindir}/%{name}; then \
 ln -s consolehelper %{buildroot}%{_bindir}/%{name} ; \
fi;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
#%doc %{_docdir}/%{name}/README
#%doc %{_docdir}/%{name}/COPYING
#%doc %{_docdir}/%{name}/AUTHORS
#%doc %{_docdir}/%{name}/ChangeLog
%doc README
%doc COPYING
%doc AUTHORS
%doc ChangeLog
%doc NEWS
%doc TODO
%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_datadir}/applications/fedora-net-%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/%{name}.png
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%changelog
* Sun Nov 22 2009 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.2-0.1
- Upgraded to new upstream version, also in response to bz #498156
- Updated package source URL (spec file change only)
- Readded %%GNUconfigure, now works as it should (spec file change only)
- Makes automatic squid.conf backups for each new version.
- Now using "squid -k kill" to deactivate the server.
- All options are ok for Fedora 11, Debian and Ubuntu.
- Removes ACL name 'all' as an ACL definition type.
- Added unit descriptions to some options that now require them.
- Removes unhandled extra options.
- Removes more options that Debian/Ubuntu's Squid is not compiled with: incoming_icp_average, incoming_http_average, incoming_dns_average min_icp_poll_cnt, min_dns_poll_cnt, min_http_poll_cnt. 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 5 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.4
- Made autoconf and automake buildrequires conditional and remove
  %%GNUconfigure from the .spec
- Added aclocal and automake to %%prep stage in the .spec, because of outdated
  files inside the upstream tarball
- replaced another 'bare' make statement with %%{__make} in the %%install
  stage in the .spec

* Sat Aug 2 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.3
- Added autoconf and automake to BuidRequires

* Sat Aug 2 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.2
- Modified spec as per bugzilla review request #457212

* Fri Jun 6 2008 S.A. Hartsuiker <s.hartsuiker@ogd.nl> - 0.1.0-0.1
- Initial packaging

* Tue Feb 19 2008 Magnus-swe <magnus-swe@telia.com>
- Changed name to GAdmin-Squid.
- Switched to GPL version 3.

* Mon Jun 25 2007 Magnus-swe <magnus-swe@telia.com>
- Initial release.
